Item2Chat 4.2.3

Show off what you've got! (server version independent)

  1. vk2gpz
    Tested Minecraft Versions:
    • 1.7
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    • 1.13
    • 1.14
    • 1.15
    • 1.16
    Contributors:
    vk2gpz
    If you're looking for the newer version (supports the latest spigot such as 1.16.x), please contact me since I'm not allowed to mention where to get it.


    Yes, this is yet another Item to chat plugin. I made this because people requested an NMS version independent one.

    This plugin will allow you to insert popup for the keyword specified in the config.yml (default keyword is "[item]"). When a player hover over the the world "[item]" in the chat, they can see the detail of the item you were holding.

    Sample Images:
    2016-12-27_19.54.41 copy.png 2016-12-27_19.55.35 copy.png 2016-12-27_19.55.45 copy.png 2016-12-27_19.57.29 copy.png 2016-12-27_19.57.34 copy.png


    Command:
    • /item2chat help : displays the help menu
    • /item2chat reload : reloads the config.yml
    Permission:
    • item2chat.use : allows you to use the registered keyword ([item]) to show off the item you're holding.
    • item2chat.reload : allows you to use the reload command.
    • item2chat.cooldown_bypass : allows you to bypass the cool down limit.
    Installation:
    You must install ProtocolLIb first, then you just put Item2Chat.jar file into your server's plugins folder. If you wish to use placeholders (supported by PlaceholderAPI) in the prefix, please install PlaceholderAPI as well.

    Configuration:
    Code (Text):

    # +------------------------------------------------------------+ #
    # Item2Chat Configuration
    # +------------------------------------------------------------+ #

    # NOTE: Do NOT put tabs anywhere in the config!

    Messages:
      ErrorMsg : "&c[Item2Chat] : Some error occured."
      NoItem: "&c[Item2Chat] : You must have something in your hand to use Item2Chat!"
      NoPermission: "&c[Item2Chat] : You don't have a permission."
      CoolDown: "&c[Item2Chat] You have to wait for &b%remaining% &aseconds."


    HelpMessages:
      banner:
        msg: "=== &e[&aItem2Chat Commands List (%version%)&e] &r==="
      help:
        msg: "&a/item2chat help : displays this help menu."
      reload:
        msg: "&a/item2chat reload : reloads config file."
        permission: "item2chat.reload"
      debug:
        msg: "&a/item2chat debug <true|false> : turn on / off the debug mode."
        permission: "item2chat.debug"

    #if this option is true, the plguin will try to send the chat packet in asynchronous fashion
    AsynchronousMode: true

    # if you encounter any issue with your chat plugin, try adjusting this option.
    # adjust these event priority if those event processes from this plugin
    # interfere with other plugins' event processes.
    EventPriorityMap:
      AsyncPlayerChatEvent: "LOWEST"

    Cooldown: 10  # in seconds
    CaseSensitive: false
    Keyword:
      - "[item]"
      - "{item}"
      - "{i}"

    InlineFormat: "&r&f[%name%%INLINE_AMOUNT%&r&f]" # %INLINE_AMOUNT% will be replaced by the following parameter.
    InlineAmountFormat: " (x%amount%)"
     
    Donation:
    It would be greatly appreciated for your donation to continue providing support for this plugin.
    [​IMG]
    policymaker, Zethen, Mkaicer and 2 others like this.

Recent Reviews

  1. Aril4511
    Aril4511
    2/5,
    Version: 4.2.3
    [06:12:39 ERROR]: Could not load 'plugins/Item2Chat-4.2.3.jar' in folder 'plugins'

    Can Helpe me?
    1. vk2gpz
      Author's Response
      the review section is not to post errors nor to seek help.
  2. WaylunC
    WaylunC
    4/5,
    Version: 4.2.3
    Thanks for this plugin from 1.15, but it it not work in 1.16

    [Item2Chat] Unhandled exception occured in onPacketSending(PacketEvent) for Item2Chat
    1. vk2gpz
      Author's Response
      Did you read the First line on the overview page?
  3. zProManyGamer_
    zProManyGamer_
    1/5,
    Version: 4.2.3
    This plugin isn't working for me. I'm running a 1.8.8 server. Even if I installed the latest version of ProtocolLib, when I try to do "[item]" in chat, nothing happens.
    1. vk2gpz
      Author's Response
      i've just tested on 1.8.8 server and it's working fine. Posting 1 star review without filing a support ticket is not going to help you.
  4. hemadada
    hemadada
    5/5,
    Version: 4.2.3
    Excuse me, can I reprint your work? The plug-in is excellent. I want to let more people know about it and use it
    1. vk2gpz
      Author's Response
      what do you mean by "reprint"? if you're talking about distributing it elsewhere, please do not. You may provide the link to this original site.
  5. TechnoVision
    TechnoVision
    1/5,
    Version: 4.2.3
    Don't say that your plugin supports 1.8 and 1.7 if it isn't true... Seems to work okay on newer clients tho, but why not remove the false info?
    1. vk2gpz
      Author's Response
      Because you could not figure out how to make it work does not mean it does not work. it's running fine on our 1.7.10, 1.8.8 test servers. that's why those boxes were ticked.
  6. Barnee
    Barnee
    1/5,
    Version: 4.2.3
    does not work. when you type [item] what happens is []. no item is displayed. fix this and ill change
    1. vk2gpz
      Author's Response
      you do not need to change.

      Just saying "does not work..." won't get you anywhere....
  7. NicholasHogan
    NicholasHogan
    5/5,
    Version: 4.2.3
    This is one of the only item showcase plugins that are still updated and working with modern Minecraft versions. You can change the messages and we have never had any issues with the plugin. Keep up the good work!!

    Thanks,
    Nicholas Hogab
  8. JacobY
    JacobY
    3/5,
    Version: 4.2.3
    it works, but not for 1.8.8 clients, pretty dumb tho since most servers who would use something like this are pvp servers.... and most players are running 1.8
  9. Ithirul
    Ithirul
    5/5,
    Version: 4.2.3
    Simply perfect <3 it doesn't fiddle with any config from other chat plugins. Love it.
  10. Nrc0611
    Nrc0611
    3/5,
    Version: 4.2.3
    Plugin works decently well. 1 Issue occuring on 1.8.8, console clients cannot connect with an Index out of range issue.